//
// MediaPlayer
// The Basic Media Player for BeOS
// (with the basic name)
//
// Eric Shepherd
//
// Copyright 1999, Be Incorporated.
//
// Module:	MediaPlayer.h
//			Player class headers.
//

#ifndef __MEDIAPLAYER_H__
#define __MEDIAPLAYER_H__

#include <BeBuild.h>
#include <MediaDefs.h>
#include <MediaNode.h>
#include <MediaRoster.h>
#include <OS.h>

class MediaPlayer {
	public:
						MediaPlayer(entry_ref *ref);
						~MediaPlayer();
		status_t		InitCheck(void);
		status_t		Setup(void);
		status_t		Start(void);		// Start playing
		status_t		Stop(void);			// Stop playing
		bool			Playing(void);		// Returns true if playing

	private:
		status_t		initStatus;
		BMediaRoster	*roster;
		bool			playingFlag;		// Is it currently running?
		
		bigtime_t		duration;
		bigtime_t		startTime;
		
		BTimeSource		*b_timesource;
		media_node		timeSourceNode;
		
		media_node		mediaFileNode;		
		media_output	fileNodeOutput;
		int32			fileOutputCount;
		
		media_output	fileAudioOutput;
		int32			fileAudioCount;

		media_node		codecNode;
		media_output	codecOutput;
		media_input		codecInput;

		media_node		videoNode;
		media_input		videoInput;
		int32			videoInputCount;
		
		media_node		audioNode;
		media_input		audioInput;
		int32			audioInputCount;
};

#endif